godo.OneClick.List()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.OneClick.List(ctx context.Context, oneClickType string) ([]*godo.OneClick, *godo.Response, error)Description
List returns a list of the available 1-click applications.
This method sends a GET request to /v2/1-clicks.
Parameters
oneClickTypestring required
Returns
- []*godo.OneClick
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.OneClick
OneClick is the structure of a 1-click
SlugstringTypestring
Request Sample
Response Example
More Information
See GET /v2/1-clicks in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.